Skip to main content
POST
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
activities
/
{activityId}
/
cancel
Cancel an environment activity
curl --request POST \
  --url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/activities/{activityId}/cancel \
  --header 'Authorization: Bearer <token>'
import requests

url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/activities/{activityId}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/activities/{activityId}/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "code": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required
environmentId
string
required
activityId
string
required

Response

default - application/json
status
string
required

The status text of the response

code
integer
required

The status code of the response

Last modified on June 16, 2026